Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.util.validate
Class QVErrorContext.SubErrorContext

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
            |
            +--com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
                  |
                  +--com.jxml.quick.util.validate.QVErrorContext.SubErrorContext

All Implemented Interfaces:
  OCMbase.SubBase, OCMcontext, OCMsink.SubSink, OCMsource.SubSource

Enclosing class:
  QVErrorContext

public class QVErrorContext.SubErrorContext
extends OCMcontextSupport.SubContextSupport

Field Summary
`OCMsource.SubSource` | `subDataSource`

Fields inherited from class com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
`dataModelRoot, destination, outputDoc, peers, rootPeer, sb`

Fields inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`cl, docName, inputDoc, properties, subSource, subValidator`

Constructor Summary
`QVErrorContext.SubErrorContext(HashMap prior)`

Method Summary
`void` | `setInputDocName(Object inputName)` Sets the input doc name.

Methods inherited from class com.jxml.quick.ocm.OCMcontextSupport.SubContextSupport
`dataModelRoot, express, express, getClassLoader, getDestination, getDoc, getInputDoc, getPUBLIC, getRootTag, getSchemaDoc, getStringBuffer, getSYSTEM, peer, rootPeer, setClassLoader, setDestination, setStringBuffer`

Methods inherited from class com.jxml.quick.ocm.OCMsinkSupport.SubSinkSupport
`expressFile, getInputSchemaDoc, getProperties, getSubSource, setDocName, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jxml.quick.ocm.OCMcontext
`getInputSchemaDoc, getProperties`

Methods inherited from interface com.jxml.quick.ocm.OCMsource.SubSource
`setProperties`

Field Detail

### subDataSource

    public OCMsource.SubSource subDataSource

Constructor Detail

### QVErrorContext.SubErrorContext

    public QVErrorContext.SubErrorContext(HashMap prior)

Method Detail

### setInputDocName

    public void setInputDocName(Object inputName)
                         throws SAXException,
                                IOException

  Description copied from interface: `OCMsource.SubSource`
  Sets the input doc name.
  Overrides:
    `setInputDocName` in class `OCMsinkSupport.SubSinkSupport`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD